---
title: PaymentAddress.dependentLocality
slug: Web/API/PaymentAddress/dependentLocality
tags:
  - API
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Property
  - Reference
  - paymentAddress
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">The read-only <strong><code>dependentLocality</code></strong> property of the {{domxref('PaymentAddress')}} interface is a string containing a sublocality designation within a city, such as a  neighborhood, borough, district, or, in the United Kingdom, a dependent locality. Also known as a <em>post town</em>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>paymentDependentLocality</em> = <em>PaymentAddress</em>.dependentLocality;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} indicating the sublocality portion of the address. This may be an empty string if no sublocality is available or required. It's used to provide disambiguation when a city may include areas that duplicate street names</p>

<p>A sublocality is an area within a city, such as a neighborhood, borough, or district. In the United Kingdom, this is used to indicate the <strong>post town</strong> in the United Kingdom (known officially by the Royal Mail as the <strong>dependent locality</strong>). This is a disambiguating feature of addresses in places where a city may have areas that duplicate street names.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentaddress-dependentlocality','PaymentAddress.dependentLocality')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.dependentLocality")}}</p>
</div>
